Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2155921 - F38FailsToInstall: pipewire-plugin-libcamera
Summary: F38FailsToInstall: pipewire-plugin-libcamera
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-12-22 22:24 UTC by Fedora Fails To Install
Modified: 2023-01-03 10:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-03 10:17:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2022-12-22 22:24:23 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (pipewire) Fails To Install in Fedora 38:

can't install pipewire-plugin-libcamera:
  - nothing provides libcamera-base.so.0.0.2()(64bit) needed by pipewire-plugin-libcamera-0.3.63-1.fc38.x86_64
  - nothing provides libcamera.so.0.0.2()(64bit) needed by pipewire-plugin-libcamera-0.3.63-1.fc38.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install pipewire-plugin-libcamera


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-12-22 22:27:08 UTC
Seems like libcamera was updated in https://src.fedoraproject.org/rpms/libcamera/c/48e8d8cc011e428daa7adf5e2876a4e62fb80d09?branch=rawhide

Comment 2 Mamoru TASAKA 2022-12-23 06:28:01 UTC
This happened again :( Previously I noticed this and rebuilt twincam, pipewire:

https://koji.fedoraproject.org/koji/buildinfo?buildID=2097466
https://koji.fedoraproject.org/koji/buildinfo?buildID=2097465

libcamera maintainer, would you check dependency and if soname bump happens,
would you use side-tag build?

(just note that I am neither the maintainer of twincam nor pipewire.)

Comment 3 Miro Hrončok 2022-12-23 14:53:31 UTC
FTR I've opened https://src.fedoraproject.org/rpms/libcamera/pull-request/5

Comment 4 Fedora Fails To Install 2022-12-30 16:42:01 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 5 Fedora Fails To Install 2023-01-03 10:17:05 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.